DZ		equ 0F1h
DLL		equ 0F2h

; DLL interrupt functions (AH=XX)

_DLL_LOAD	equ 00h
_DLL_READ	equ 01h
_DLL_COPY	equ 02h
_DLL_ADD	equ 03h
_DLL_MOVE	equ 04h
_DLL_MKDIR	equ 05h
_DLL_DELETE	equ 06h
_DLL_RENAME	equ 07h
_DLL_EDIT	equ 08h
_DLL_VIEW	equ 09h
_DLL_PROPERTY	equ 0Ah
_DLL_ENTER	equ 0Bh
_DLL_EXIT	equ 11h

; Flag bits for functions

__DLL_01	equ 0001h ; dll_read(wsub:dword)
__DLL_02	equ 0002h ; dll_copy(wsub:dword, fblk:dword, outpath:dword)
__DLL_03	equ 0004h ; dll_add(wsub:dword, wsub:dword, fblk:dword)
__DLL_04	equ 0008h ; dll_move(wsub:dword, fblk:dword, wsub:dword)
__DLL_05	equ 0010h ; dll_mkdir(wsub:dword, directory:dword)
__DLL_06	equ 0020h ; dll_delete(wsub:dword, fblk:dword)
__DLL_07	equ 0040h ; dll_rename(wsub:dword, fblk:dword, newname:dword)
__DLL_08	equ 0080h ; dll_edit(wsub:dword, fblk:dword)
__DLL_09	equ 0100h ; dll_view(wsub:dword, fblk:dword)
__DLL_0A	equ 0200h ; dll_property(wsub:dword, fblk:dword)
__DLL_0B	equ 0400h ; dll_enter(wsub:dword, fblk:dword)

; Doszip interrupt functions

SPAWN_EXIT	equ 0000B
SPAWN_INLINE	equ 0001B
SPAWN_HIDE	equ 0011B	; Hide doszip
SPAWN_STDOUT	equ 0101B	; > %TEMP%\ziplst.tmp
SPAWN_NUL	equ 1101B	; > NUL

_DZ_dosmaperr	equ 00h
_DZ_getsyserr	equ 01h
_DZ_malloc	equ 02h
_DZ_free	equ 03h
_DZ_rsopen	equ 04h
_DZ_rsmodal	equ 05h
_DZ_view	equ 06h
_DZ_edit	equ 07h
_DZ_output	equ 08h
_DZ_command	equ 09h
_DZ_inientryid	equ 0Ah
_DZ_tmsgbox	equ 0Bh
_DZ_mklist	equ 0Ch
_DZ_open	equ 0Dh
_DZ_close	equ 0Eh
